package com.ruiwenliu.wrapper.util;

import android.content.Context;
import android.util.TypedValue;

public class ScaleUtils {
    //dp转px
    public static int dip2px(Context context, int dpValue) {
        final float scale = context.getResources().getDisplayMetrics().density;
        return (int) (dpValue * scale + 0.5f);
    }

    //px转dp
    public static int px2dip(Context context, int pxValue) {
        return ((int) TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, pxValue, context.getResources().getDisplayMetrics()));
    }

    /*****
     * sp转px
     * @param context
     * @param spValue
     * @return
     */
    public static int sp2px(Context context,float spValue) {
        return (int) (spValue * context.getResources().getDisplayMetrics().scaledDensity + 0.5f);
    }

    /*******
     * px转sp
     * @param pxValue
     * @return
     */
    public static float px2sp(Context context,int pxValue) {
        return TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_PX, pxValue, context.getResources().getDisplayMetrics());
    }

}
